All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::build_program_failure Class Reference

Exception thrown if the OpenCL program cannot be built, usually due to a syntax error in the OpenCL code. More...

`#include <error.hpp>`

Inheritance diagram for viennacl::ocl::build_program_failure:

## Detailed Description

Exception thrown if the OpenCL program cannot be built, usually due to a syntax error in the OpenCL code.

Definition at line 193 of file error.hpp.

The documentation for this class was generated from the following file:

- viennacl/ocl/error.hpp